Skip to content

PUT /api/v3/campaigns/{lcuid}/inventory-items/{id}/board-filter

Summary

PUT campaigns/{lcuid}/inventory-items/{id}/board-filter

Description

Set the board filter for a specific item in a campaign This will override any existing board filter for this item and allows you to specify custom filtering for selecting boards for this item

See Filter Builder Reference

Example format of the board_filter param ``` { "filter_fields": [ { "field_name" : "name", "operator" : "like" "value" : "testing" } ], "filter_functions":[ { "function" : "getRead" "operator" : "equals" "value" : "L" } ] }

**Tags:** `campaigns`

## Parameters

### Header Parameters

| Name | Type | Required | Description | Example |
|------|------|----------|-------------|----------|
| `Authorization` | `string` | ✓ Yes |  | `Bearer {AuthToken}` |
| `Content-Type` | `string` | ✓ Yes |  | `application/json` |
| `Accept` | `string` | ✓ Yes |  | `application/json` |
| `AppIdV3` | `string` | ✓ Yes |  | `LCUID-LAP-********-****-****-****-************` |

## Request Body

### Content Type: `application/json`

#### Schema

**Type:** `object`

**Properties:**

- **`board_filter`** (`object`): The board filter array which contains 2 keys
- `filter_fields`
- `filter_functions`
These keys can be missing, or, be empty arrays.
The format of filter_fields and filter_functions is an array of objects.

## Responses

### Response: 200

**Description:** Sample Response

#### Content Type: `application/json`

#### Schema

**Type:** `object`

**Properties:**

- **`success`** (`boolean`)
- **`inventory_item`** (`object`)
  **Type:** `object`

  **Properties:**

  - **`unique_id`** (`string`)
  - **`title`** (`string`)
  - **`description`** (`string`)
  - **`new_used`** (`integer`)
  - **`year`** (`string`)
  - **`make`** (`string`)
  - **`model`** (`string`)
  - **`sub_model`** (`string`)
  - **`price`** (`integer`)
  - **`price_original`** (`string`)
  - **`price_modifier`** (`string`)
  - **`external_link`** (`string`)
  - **`status`** (`integer`)
  - **`item_class`** (`string`)
  - **`creative_state`** (`integer`)
  - **`lcuid`** (`string`)
  - **`created_at`** (`string`)
  - **`updated_at`** (`string`)
  - **`deleted_at`** (`string`)
  - **`has_price_override`** (`boolean`)
  - **`price_upstream`** (`string`)
  - **`options`** (`object`)
    **Type:** `object`

    **Properties:**

    - **`best_creative_image_photo_url`** (`string`)
    - **`first_play_at`** (`string`)
    - **`primary_image_background_removed_public_url`** (`string`)
    - **`primary_image_public_url`** (`string`)

  - **`cached_tags`** (`string`)
  - **`attributes`** (`array`)
  - **`campaign_settings`** (`object`)
    **Type:** `object`

    **Properties:**

    - **`13937`** (`object`)
      **Type:** `object`

      **Properties:**

      - **`digital_board_filter`** (`object`)
        **Type:** `object`

        **Properties:**

        - **`filter_fields`** (`array`)
          - Array items: `object`
            **Type:** `object`

            **Properties:**

            - **`field_name`** (`string`)
            - **`operator`** (`string`)
            - **`value`** (`string`)

        - **`filter_functions`** (`array`)





##### Example Response

```json
{
    "success": true,
    "inventory_item": {
        "unique_id": "YyepFPiwVm",
        "title": "Unit Test - sbgyWe8VwD4aNi9",
        "description": "Some Description - qyiwm47myJY1U8KrjnvvbIpYngoscigdsHLQqDoiEWJPu7LXPZc86SeBDI3c6GJMnZMb7jLv4adxJsRgTEfpBEnBsLo1uVaCcy5P1t2ZYVlsRhA56vXJRXDEkuHVDlUVPX8RhWCCNR1fD4IdKw76s9",
        "new_used": 0,
        "year": null,
        "make": "Some Make",
        "model": "Some Model",
        "sub_model": "Some Sub Model",
        "price": 8577,
        "price_original": "8577.00",
        "price_modifier": null,
        "external_link": "https://www.example.com/YyepFPiwVm",
        "status": 1,
        "item_class": "App\\LuCore\\InventoryItems\\RealEstateInventoryItemClass",
        "creative_state": 0,
        "lcuid": "LCUID-LI-faaa5808-7af6-40ce-a756-53e64e3be008",
        "created_at": "2026-10-09T13:48:42.000000Z",
        "updated_at": "2026-10-09T13:48:43.000000Z",
        "deleted_at": null,
        "has_price_override": false,
        "price_upstream": null,
        "options": {
            "best_creative_image_photo_url": null,
            "first_play_at": null,
            "primary_image_background_removed_public_url": null,
            "primary_image_public_url": null
        },
        "cached_tags": null,
        "attributes": [],
        "campaign_settings": {
            "13937": {
                "digital_board_filter": {
                    "filter_fields": [
                        {
                            "field_name": "name",
                            "operator": "like",
                            "value": "test"
                        }
                    ],
                    "filter_functions": []
                }
            }
        }
    }
}

Example Implementations

Bash (cURL)

curl --request PUT \
  --url "https://api.lucit.app/api/v3/campaigns/{lcuid}/inventory-items/{id}/board-filter" \
  --header "Authorization: Bearer {AuthToken}" \
  --header "Content-Type: application/json" \
  --header "Accept: application/json" \
  --header "AppIdV3: LCUID-LAP-********-****-****-****-************"

JavaScript (Fetch API)

const url = "https://api.lucit.app/api/v3/campaigns/{lcuid}/inventory-items/{id}/board-filter";

const headers = {
  "Authorization": "Bearer {AuthToken}",
  "Content-Type": "application/json",
  "Accept": "application/json",
  "AppIdV3": "LCUID-LAP-********-****-****-****-************"
};

fetch(url, {
  method: "PUT",
  headers: headers
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error('Error:', error));

PHP (Guzzle)

<?php

require_once 'vendor/autoload.php';

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.lucit.app/api/v3/campaigns/{lcuid}/inventory-items/{id}/board-filter', [
  'headers' => [
    'Authorization' => 'Bearer {AuthToken}',
    'Content-Type' => 'application/json',
    'Accept' => 'application/json',
    'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
  ]
]);

$body = $response->getBody();
$data = json_decode($body, true);
print_r($data);

Python (Requests)

import requests
import json

url = "https://api.lucit.app/api/v3/campaigns/{lcuid}/inventory-items/{id}/board-filter"

headers = {
  "Authorization": "Bearer {AuthToken}",
  "Content-Type": "application/json",
  "Accept": "application/json",
  "AppIdV3": "LCUID-LAP-********-****-****-****-************"
}

response = requests.put(url, headers=headers)
print(response.json())

← Back to campaigns index | Back to main index